* {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale; }

body {
  font-family: apple-system, system-ui, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
  margin: 0px;
  background-color: #c20000; }

.animated_backing_container {
  position: fixed;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  z-index: -1; }
  .animated_backing_container header {
    background-color: rgba(33, 33, 33, 0.9);
    color: #ffffff;
    display: block;
    font: 14px/1.3 Arial, sans-serif;
    height: 50px;
    position: relative;
    z-index: 5; }
  .animated_backing_container h2 {
    margin-top: 30px;
    text-align: center; }
  .animated_backing_container header h2 {
    font-size: 22px;
    margin: 0 auto;
    padding: 10px 0;
    width: 80%;
    text-align: center; }
  .animated_backing_container header a,
  .animated_backing_container a:visited {
    text-decoration: none;
    color: #fcfcfc; }

@keyframes move-twink-back {
  from {
    background-position: 0 0; }
  to {
    background-position: -10000px 5000px; } }

@-webkit-keyframes move-twink-back {
  from {
    background-position: 0 0; }
  to {
    background-position: -10000px 5000px; } }

@-moz-keyframes move-twink-back {
  from {
    background-position: 0 0; }
  to {
    background-position: -10000px 5000px; } }

@-ms-keyframes move-twink-back {
  .animated_backing_container from {
    background-position: 0 0; }
  .animated_backing_container to {
    background-position: -10000px 5000px; } }

@keyframes move-clouds-back {
  from {
    background-position: 0 0; }
  to {
    background-position: 10000px 0; } }

@-webkit-keyframes move-clouds-back {
  from {
    background-position: 0 0; }
  to {
    background-position: 10000px 0; } }

@-moz-keyframes move-clouds-back {
  from {
    background-position: 0 0; }
  to {
    background-position: 10000px 0; } }

@-ms-keyframes move-clouds-back {
  .animated_backing_container from {
    background-position: 0; }
  .animated_backing_container to {
    background-position: 10000px 0; } }
  .animated_backing_container .stars,
  .animated_backing_container .twinkling,
  .animated_backing_container .clouds {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    display: block; }
  .animated_backing_container .stars {
    background: #a00e0e url(/images/ui/stars.png) repeat top center;
    z-index: 0; }
  .animated_backing_container .twinkling {
    background: transparent url(/images/ui/twinkling.png) repeat top center;
    z-index: 1;
    -moz-animation: move-twink-back 200s linear infinite;
    -ms-animation: move-twink-back 200s linear infinite;
    -o-animation: move-twink-back 200s linear infinite;
    -webkit-animation: move-twink-back 200s linear infinite;
    animation: move-twink-back 200s linear infinite; }
  .animated_backing_container .clouds {
    background: transparent url(/images/ui/clouds.png) repeat top center;
    z-index: 3;
    -moz-animation: move-clouds-back 200s linear infinite;
    -ms-animation: move-clouds-back 200s linear infinite;
    -o-animation: move-clouds-back 200s linear infinite;
    -webkit-animation: move-clouds-back 200s linear infinite;
    animation: move-clouds-back 200s linear infinite; }

#bar_shadow {
  background: #020024;
  background: linear-gradient(0deg, rgba(2, 0, 36, 0) 30%, #e2dcdc 100%);
  width: 100%;
  height: 170px;
  position: absolute;
  z-index: -1;
  opacity: 0.5; }

#corporate_bar {
  width: 100%;
  height: 100px;
  padding: 10px 20px 10px 20px;
  box-sizing: border-box; }
  #corporate_bar table {
    width: 100%; }
    #corporate_bar table tr th.logo {
      width: 170px;
      font-family: "Oswald", sans-serif;
      font-size: 60px;
      font-style: italic;
      background: -webkit-linear-gradient(#d92669, #fff);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      -webkit-text-stroke: 1.5px rgba(0, 0, 0, 0.5);
      padding: 0px; }
    #corporate_bar table tr th.slogan {
      padding-left: 30px;
      padding-top: 8px;
      font-size: 20px;
      text-align: left;
      color: rgba(0, 0, 0, 0.9);
      font-family: "IBM Plex Mono", monospace;
      font-weight: bold; }
      #corporate_bar table tr th.slogan p {
        padding: 0px;
        margin: 0px; }
      #corporate_bar table tr th.slogan p.version_number {
        font-size: 10px;
        color: gray;
        padding-top: 4px; }
    #corporate_bar table tr th.flight_info {
      text-align: right;
      font-family: "IBM Plex Mono", monospace;
      font-size: 75%; }

#debug_bar {
  background-color: pink;
  color: red;
  padding: 1%;
  pointer-events: none;
  opacity: 0;
  height: 10px; }

#pdf_viewer {
  position: absolute;
  z-index: 9998;
  display: none;
  border: 0px;
  outline: none; }

#pdf_close {
  width: 17px;
  height: 17px;
  position: absolute;
  display: none;
  z-index: 9999;
  background-image: url("/images/ui/close.svg");
  background-size: 50% auto;
  background-repeat: no-repeat;
  background-position: center center;
  opacity: 1;
  top: 70px;
  right: 40px;
  background-color: white;
  padding: 10px;
  border-radius: 50%;
  border: 1px solid rgba(0, 0, 0, 0.1);
  box-shadow: 0px 0px 10px black; }

#holly {
  width: 180px;
  height: 160px;
  background-color: transparent;
  position: fixed;
  right: 0px;
  bottom: 0px;
  z-index: 5000;
  pointer-events: none;
  background-image: url("/images/ui/christmas-holly.png");
  background-size: contain;
  background-position: center center;
  background-repeat: no-repeat; }

@media only screen and (max-width: 1100px) {
  #holly {
    display: none; } }

#calling_indicator {
  position: fixed;
  bottom: 10px;
  left: 10px;
  width: 300px;
  background-color: white;
  border: 3px solid #fff;
  z-index: 999999;
  border-radius: 15px;
  color: #fff;
  padding: 10px 15px 10px 15px;
  display: none; }
  #calling_indicator h1 {
    font-size: 100%;
    margin: 0px; }
  #calling_indicator p {
    margin: 0px; }

.wav_indicator {
  position: absolute;
  right: 50px;
  top: calc(50% + 2px); }
  .wav_indicator svg g {
    fill: #fff; }
  .wav_indicator #bar1 {
    animation: bar1 1.2s infinite linear; }
  .wav_indicator #bar2 {
    animation: bar2 0.8s infinite linear; }
  .wav_indicator #bar3 {
    animation: bar3 1s infinite linear; }
  .wav_indicator #bar4 {
    animation: bar4 0.7s infinite linear; }

@keyframes bar1 {
  0% {
    height: 2px; }
  50% {
    height: 7px; }
  100% {
    height: 2px; } }

@keyframes bar2 {
  0% {
    height: 5px; }
  40% {
    height: 1px; }
  80% {
    height: 7px; }
  100% {
    height: 5px; } }

@keyframes bar3 {
  0% {
    height: 7px; }
  50% {
    height: 0; }
  100% {
    height: 7px; } }

@keyframes bar4 {
  0% {
    height: 2px; }
  50% {
    height: 7px; }
  100% {
    height: 2px; } }

#headphone_prompt {
  font-family: -apple-system, system-ui, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
  letter-spacing: normal;
  width: 100%;
  height: 100%;
  position: fixed;
  top: 0px;
  left: 0px;
  backdrop-filter: blur(60px);
  background-color: rgba(255, 255, 255, 0.3);
  z-index: 99999999999; }
  #headphone_prompt #inner_headphone_prompt {
    width: 40%;
    padding: 30px;
    box-sizing: border-box;
    text-align: center;
    background-color: white;
    border: 1px solid gray;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 10px;
    line-height: 140%; }
    #headphone_prompt #inner_headphone_prompt #button {
      width: fit-content;
      padding: 20px 50px 20px 50px;
      background-color: rgba(0, 0, 0, 0.1);
      border-radius: 10px;
      margin: 30px auto 0px auto;
      font-weight: bold; }
    #headphone_prompt #inner_headphone_prompt #button:hover {
      background-color: #c20000;
      color: white;
      cursor: pointer; }
    #headphone_prompt #inner_headphone_prompt #name_required {
      background-color: rgba(0, 0, 0, 0.1);
      padding: 5px;
      box-sizing: border-box;
      border-radius: 10px;
      display: none; }
      #headphone_prompt #inner_headphone_prompt #name_required input {
        width: 100%;
        font-size: 140%;
        background-color: transparent;
        text-align: center;
        padding: 5px 0px 5px 0px;
        border: 0px;
        border-bottom: 2px solid rgba(0, 0, 0, 0.2);
        margin: 0px 0px 10px 0px; }
      #headphone_prompt #inner_headphone_prompt #name_required input:focus {
        outline: none; }

#scaffold {
  width: 100%;
  border-spacing: 0px; }
  #scaffold .main_screen {
    width: 80%;
    position: relative; }
    #scaffold .main_screen iframe {
      outline: none;
      border: 0px; }
    #scaffold .main_screen #external_puzzle_screen,
    #scaffold .main_screen .cue_card_area,
    #scaffold .main_screen #pdf_viewer {
      position: absolute;
      top: 20px;
      left: 20px;
      width: calc(100% - 40px);
      height: calc(100% - 200px);
      display: none;
      border: 9px solid yellow;
      box-sizing: border-box;
      border-image: url(/images/ui/glitter-seamless.png) 30 round;
      box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.4);
      background-size: cover;
      background-repeat: no-repeat;
      background-position: center center; }
    #scaffold .main_screen .transcript {
      height: 130px;
      width: calc(100% - 40px);
      color: #fff;
      position: absolute;
      bottom: 20px;
      left: 20px;
      box-sizing: border-box;
      border: 9px solid yellow;
      border-image: url(/images/ui/glitter-seamless.png) 30 round;
      box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.4);
      background-color: black; }
      #scaffold .main_screen .transcript textarea {
        font-family: apple-system, system-ui, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
        line-height: 23px;
        width: calc(100% - 160px);
        height: 100%;
        border: 0px;
        resize: none;
        font-size: 100%;
        background-color: transparent;
        color: white;
        padding: 1.5%;
        position: absolute;
        left: 0px;
        top: 0px; }
      #scaffold .main_screen .transcript textarea:focus {
        outline: none; }
      @media only screen and (max-width: 1100px) {
        #scaffold .main_screen .transcript textarea {
          width: 100%; } }
  #scaffold .side_bar {
    width: 20%;
    height: 100%; }
    #scaffold .side_bar .title {
      height: 30px;
      line-height: 30px;
      color: #fff; }
    #scaffold .side_bar .logo {
      width: 90%;
      height: 100px;
      background-image: url("/images/ui/title.png");
      background-size: contain;
      background-position: center center;
      background-repeat: no-repeat;
      margin: 0px 0px 0px 10%; }
    #scaffold .side_bar .speech_indicator {
      width: calc(100% - 20px);
      height: 100px;
      box-sizing: border-box;
      padding: 20px 0px 0px 20px;
      opacity: 0;
      position: relative; }
      #scaffold .side_bar .speech_indicator table th.icon {
        width: 70px;
        height: 70px;
        background-color: white;
        border-radius: 50%;
        background-position: center center;
        background-size: cover;
        background-repeat: no-repeat; }
      #scaffold .side_bar .speech_indicator table th.text {
        padding: 0px 0px 0px 20px;
        color: white;
        text-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2); }
      #scaffold .side_bar .speech_indicator .animation {
        position: absolute;
        top: -145px;
        left: 0px;
        z-index: -1;
        width: calc(100% + 40px);
        pointer-events: none; }
        #scaffold .side_bar .speech_indicator .animation svg {
          width: 100%;
          height: 400px; }
        #scaffold .side_bar .speech_indicator .animation path {
          stroke: rgba(0, 0, 0, 0.1);
          stroke-width: 10px;
          stroke-linecap: round;
          fill: none; }
    #scaffold .side_bar .chat {
      margin: 20px 0px 20px 20px;
      padding: 10px 0px 10px 0px;
      background-color: rgba(0, 0, 0, 0.2);
      width: calc(100% - 20px);
      height: calc(100% - 240px);
      box-sizing: border-box;
      border: 9px solid yellow;
      border-image: url(/images/ui/glitter-seamless.png) 30 round;
      box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.4); }
      #scaffold .side_bar .chat .input {
        width: 100%;
        height: 40px;
        box-sizing: border-box;
        padding: 7px; }
        #scaffold .side_bar .chat .input input {
          width: 100%;
          height: 25px;
          background-color: transparent;
          border: 2px solid white;
          border-radius: 15px;
          padding: 0px 10px 0px 10px;
          box-sizing: border-box;
          color: white; }
        #scaffold .side_bar .chat .input input:focus {
          outline: none; }
        #scaffold .side_bar .chat .input input[type="file"] {
          display: none; }
        #scaffold .side_bar .chat .input .custom-file-upload {
          display: inline-block;
          cursor: pointer;
          width: 25px;
          height: 25px;
          background-image: url("/images/ui/file.svg");
          background-size: contain;
          background-repeat: no-repeat;
          background-position: center center;
          opacity: 0.8; }
      #scaffold .side_bar .chat .chat_area {
        width: 100%;
        height: calc(100% - 70px);
        overflow-y: scroll;
        overflow-x: hidden; }
        #scaffold .side_bar .chat .chat_area .name_area {
          color: white; }
          #scaffold .side_bar .chat .chat_area .name_area h1 {
            font-size: 15px; }
        #scaffold .side_bar .chat .chat_area ul {
          list-style: none;
          padding: 15px;
          margin: 0px; }
          #scaffold .side_bar .chat .chat_area ul .system_message {
            background-color: rgba(255, 255, 255, 0.05);
            border-radius: 10px; }
          #scaffold .side_bar .chat .chat_area ul .system_message.no_upper {
            border-top-left-radius: 0px;
            border-top-right-radius: 0px;
            padding: 0px 5px 5px 5px; }
          #scaffold .side_bar .chat .chat_area ul .system_message.no_lower {
            border-bottom-left-radius: 0px;
            border-bottom-right-radius: 0px;
            padding: 5px 5px 0px 5px; }
          #scaffold .side_bar .chat .chat_area ul .system_message.not_past_auth {
            margin: 10px 0px 0px 0px; }
          #scaffold .side_bar .chat .chat_area ul li {
            width: 100%;
            overflow: auto; }
            #scaffold .side_bar .chat .chat_area ul li .document_icon {
              width: 20px;
              height: 20px;
              padding: 0px 5px 0px 0px;
              background-image: url("/images/ui/document-black.svg");
              background-repeat: no-repeat;
              background-position: left center; }
            #scaffold .side_bar .chat .chat_area ul li .name {
              font-size: 10px;
              font-weight: normal;
              letter-spacing: 0.5px;
              padding: 5px 0px 5px 0px;
              color: white; }
            #scaffold .side_bar .chat .chat_area ul li .name.theirs {
              text-align: left; }
            #scaffold .side_bar .chat .chat_area ul li .name.ours {
              text-align: right; }
            #scaffold .side_bar .chat .chat_area ul li .message {
              background-color: lightgray;
              padding: 7px 15px 7px 15px;
              border-radius: 15px;
              font-weight: normal;
              text-align: left;
              font-size: 90%;
              letter-spacing: 0px;
              word-break: break-word; }
              #scaffold .side_bar .chat .chat_area ul li .message img {
                width: 100%;
                height: auto; }
            #scaffold .side_bar .chat .chat_area ul li .message.theirs {
              float: left;
              border-bottom-left-radius: 8px; }
            #scaffold .side_bar .chat .chat_area ul li .message.theirs.conc_padding {
              margin: 3px 0px 0px 0px;
              border-top-left-radius: 6px; }
            #scaffold .side_bar .chat .chat_area ul li .message.theirs.img_padding {
              padding: 0px; }
            #scaffold .side_bar .chat .chat_area ul li .message.ours {
              background-color: #fff;
              color: black;
              float: right;
              border-bottom-right-radius: 8px; }
            #scaffold .side_bar .chat .chat_area ul li .message.ours.conc_padding {
              margin: 3px 0px 0px 0px;
              border-top-right-radius: 6px; }
            #scaffold .side_bar .chat .chat_area ul li .message.ours.img_padding {
              padding: 0px;
              border: 1px solid gray;
              overflow: hidden; }
